# Table.list\_uploads

### Table.<mark style="color:purple;">list\_uploads</mark>(*max\_results=None*) → **list<**[**Upload**](/api/client-libraries/redivis-python/reference/upload.md)**>**

Returns a list of uploads associated with the current table (only relevant for dataset tables). Each entry in the list will be an instance of an [Upload](/api/client-libraries/redivis-python/reference/upload.md), whose properties are populated with the values on the [upload.list resource definition](/api/resource-definitions/upload.md#list).

### **Parameters:**

**`max_results` :&#x20;*****int, default None***\
If specified, will only return up to max\_results uploads

### **Returns:**&#x20;

**list<**[**Upload**](/api/client-libraries/redivis-python/reference/upload.md)**>**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/table/table.list_uploads.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
